summaryrefslogtreecommitdiffstats
path: root/bin/hornet/update-weather
diff options
context:
space:
mode:
Diffstat (limited to 'bin/hornet/update-weather')
-rwxr-xr-xbin/hornet/update-weather6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/hornet/update-weather b/bin/hornet/update-weather
new file mode 100755
index 0000000..8105223
--- /dev/null
+++ b/bin/hornet/update-weather
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -eu
+set -o pipefail
+
+weather > ~/.cache/weather.new
+mv ~/.cache/weather.new ~/.cache/weather